Bug 849248 - 2 java processes running for scaled JBoss apps
2 java processes running for scaled JBoss apps
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 15:44 EDT by Bill DeCoste
Modified: 2015-05-14 18:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 17:44:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill DeCoste 2012-08-17 15:44:11 EDT
Description of problem:
A scaled AS7 leaves a running, but stopped Java process. Taking up resources.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Create scaled as7 app
2.
3.
  
Actual results:
Two sets of processes
501      31345     1  0 15:37 ?        00:00:00 /bin/sh /var/lib/stickshift/7ca72fb1641647a58a14e9ec74774298/as1//jbossas-7/bin/standalone.sh
501      31526 31345  8 15:37 ?        00:00:14 /usr/lib/jvm/jre-1.7.0/bin/java -D[Standalone] -client -Xmx256m -XX:MaxPermSize=128m -XX:+AggressiveOpts -Dorg.apache.tomcat.util.LOW_MEMORY=true -Dorg.jboss.resolver.warning=true -Djava.net.preferIPv4Stack=true -Dfile.encoding=UTF-8 -Djava.net.preferIPv4Stack=true -Djboss.node.name=as1-bdecoste4b.dev.rhcloud.com -Djgroups.bind_addr=127.0.250.129 -Dorg.jboss.boot.log.file=/var/lib/stickshift/7ca72fb1641647a58a14e9ec74774298/as1/jbossas-7/standalone/log/boot.log -Dlogging.configuration=file:/var/lib/stickshift/7ca72fb1641647a58a14e9ec74774298/as1/jbossas-7/standalone/configuration/logging.properties -jar /var/lib/stickshift/7ca72fb1641647a58a14e9ec74774298/as1/jbossas-7/jboss-modules.jar -mp /var/lib/stickshift/7ca72fb1641647a58a14e9ec74774298/as1/jbossas-7/standalone/configuration/modules:/var/lib/stickshift/7ca72fb1641647a58a14e9ec74774298/as1/jbossas-7/modules -jaxpmodule javax.xml.jaxp-provider org.jboss.as.standalone -Djboss.home.dir=/var/lib/stickshift/7ca72fb1641647a58a14e9ec74774298/as1/jbossas-7
502      32123     1  0 15:38 ?        00:00:00 /bin/sh /var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a//jbossas-7/bin/standalone.sh
502      32297 32123 12 15:38 ?        00:00:14 /usr/lib/jvm/jre-1.7.0/bin/java -D[Standalone] -client -Xmx256m -XX:MaxPermSize=128m -XX:+AggressiveOpts -Dorg.apache.tomcat.util.LOW_MEMORY=true -Dorg.jboss.resolver.warning=true -Djava.net.preferIPv4Stack=true -Dfile.encoding=UTF-8 -Djava.net.preferIPv4Stack=true -Djboss.node.name=53f240610a-bdecoste4b.dev.rhcloud.com -Djgroups.bind_addr=127.0.251.1 -Dorg.jboss.boot.log.file=/var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/standalone/log/boot.log -Dlogging.configuration=file:/var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/standalone/configuration/logging.properties -jar /var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/jboss-modules.jar -mp /var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/standalone/configuration/modules:/var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/modules -jaxpmodule javax.xml.jaxp-provider org.jboss.as.standalone -Djboss.home.dir=/var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7



Expected results:
One set of processes
502      32123     1  0 15:38 ?        00:00:00 /bin/sh /var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a//jbossas-7/bin/standalone.sh
502      32297 32123 12 15:38 ?        00:00:14 /usr/lib/jvm/jre-1.7.0/bin/java -D[Standalone] -client -Xmx256m -XX:MaxPermSize=128m -XX:+AggressiveOpts -Dorg.apache.tomcat.util.LOW_MEMORY=true -Dorg.jboss.resolver.warning=true -Djava.net.preferIPv4Stack=true -Dfile.encoding=UTF-8 -Djava.net.preferIPv4Stack=true -Djboss.node.name=53f240610a-bdecoste4b.dev.rhcloud.com -Djgroups.bind_addr=127.0.251.1 -Dorg.jboss.boot.log.file=/var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/standalone/log/boot.log -Dlogging.configuration=file:/var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/standalone/configuration/logging.properties -jar /var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/jboss-modules.jar -mp /var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/standalone/configuration/modules:/var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7/modules -jaxpmodule javax.xml.jaxp-provider org.jboss.as.standalone -Djboss.home.dir=/var/lib/stickshift/53f240610a054924995b9ed05af3f1c3/53f240610a/jbossas-7


Additional info:

Note You need to log in before you can comment on or make changes to this bug.